Name:           xmoto
Version:        0.2.0
Release:        1%{?dist}
Summary:        Challenging 2D Motocross Platform Game

Group:          Amusements/Games
License:        GPL
URL:            http://xmoto.sourceforge.net/
Source0:        http://easynews.dl.sourceforge.net/sourceforge/xmoto/%{name}-%{version}-src.tar.gz
Source1:        xmoto.desktop
Source2:        xmoto.png
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  desktop-file-utils, SDL_mixer-devel
BuildRequires:  curl-devel, ode-devel, lua-devel, libGL-devel, libGLU-devel
BuildRequires:  libjpeg-devel, libpng-devel, bzip2-devel

%description
X-Moto is a challenging 2D motocross platform game, where physics play an all
important role in the gameplay. You need to control your bike to its limit, if
you want to have a chance finishing the more difficult of the challenges.

First you'll try just to complete the levels, while later you'll compete with
yourself and others, racing against the clock.


%prep
%setup -q


%build
%configure
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

# Install icon and desktop file
mkdir -p $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/48x48/apps
cp %{SOURCE2} $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/48x48/apps

desktop-file-install --vendor fedora                            \
        --dir $RPM_BUILD_ROOT%{_datadir}/applications           \
        --add-category X-Fedora                                 \
        %{SOURCE1}


%clean
rm -rf $RPM_BUILD_ROOT


%post
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
   %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

%postun
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
   %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi


%files
%defattr(-,root,root,-)
%doc ChangeLog COPYING README
%{_bindir}/xmoto
%{_bindir}/xmoto-edit
%{_datadir}/xmoto
%{_datadir}/applications/fedora-xmoto.desktop
%{_datadir}/icons/hicolor/48x48/apps/xmoto.png


%changelog
* Wed Sep 13 2006 Hugo Cisneiros <hugo@devin.com.br> 0.2.0-1
- New upstream release

* Wed Sep 13 2006 Hugo Cisneiros <hugo@devin.com.br> 0.1.16-2
- Rebuilt for FC6

* Wed Jul  5 2006 Hugo Cisneiros <hugo@devin.com.br> 0.1.16-1
- Initial RPM release
